Bug 813668 - Review Request: perl-Net-OpenSSH - Perl SSH client package implemented on top of OpenSSH
Review Request: perl-Net-OpenSSH - Perl SSH client package implemented on top...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christos Triantafyllidis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 03:33 EDT by Steve Traylen
Modified: 2014-10-09 15:57 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-Net-OpenSSH-0.62-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-29 12:23:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
christos.triantafyllidis: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steve Traylen 2012-04-18 03:33:58 EDT
Spec URL: http://cern.ch/straylen/rpms/perl-Net-OpenSSH/perl-Net-OpenSSH-0.57-1.fc16.src.rpm
SRPM URL: http://cern.ch/straylen/rpms/perl-Net-OpenSSH/perl-Net-OpenSSH-0.57-1.fc16.src.rpm
Description: 
Net::OpenSSH is a secure shell client package implemented on top of OpenSSH
binary client (ssh).
Comment 1 Steve Traylen 2012-04-18 03:35:11 EDT
I will be building for epel5 hence some of the older SPEC file contents are present.
Comment 2 Christos Triantafyllidis 2012-04-19 15:28:03 EDT
Hi Steve,
   I'll try to review this tomorrow or over the weekend.

   I bet the spec URL is:
http://straylen.web.cern.ch/straylen/rpms/perl-Net-OpenSSH/perl-Net-OpenSSH.spec

Christos
Comment 3 Christos Triantafyllidis 2012-04-21 17:21:16 EDT
I did a scratch build to get a binary for rpmlint:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4011528

rpmlint is clean:
$ rpmlint perl-Net-OpenSSH.spec perl-Net-OpenSSH-0.57-1.fc16.src.rpm perl-Net-OpenSSH-0.57-1.fc16.noarch.rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 4 Christos Triantafyllidis 2012-04-21 18:06:48 EDT
Review follows:

[PASS] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[PASS] MUST: The package must be named according to the Package Naming Guidelines.
[PASS ] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[PASS] MUST: The package must meet the Packaging Guidelines.
[PASS] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[?] MUST: The License field in the package spec file must match the actual license.
The upstream has the following as license:
This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.10.0 or, at your option, any later version of Perl 5 you may have available
I see that perl-5.12 on the node i'm sitting has:
(GPL+ or Artistic) and (GPLv2+ or Artistic) and Copyright Only and MIT and Public Domain and UCD
What you have is:
GPL+ or Artistic which also what the guidelines have:
http://fedoraproject.org/wiki/Packaging:Perl but i don't know if the guidelines are updated or where does the license i have come from.

[PASS] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[PASS] MUST: The spec file must be written in American English.
[PASS] MUST: The spec file for the package MUST be legible.
[PASS] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task.  If no upstream URL can be specified for this package, please see the Source URL Guidelines  for how to deal with this.
[PASS] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[PASS] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[PASS] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines; inclusion of those as BuildRequires is optional. Apply common sense.
[PASS] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[PASS] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[PASS] MUST: Packages must NOT bundle copies of system libraries.
[PASS] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
[PASS] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[PASS] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[PASS] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. 
[PASS] MUST: Each package must consistently use macros.
[PASS] MUST: The package must contain code, or permissable content.
[PASS] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[PASS] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[PASS] MUST: Static libraries must be in a -static package.
[PASS] MUST: Development files must be in a -devel package.
[PASS] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[PASS] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[PASS] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[PASS] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[PASS] MUST: All filenames in rpm packages must be valid UTF-8.

[?] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
The package doesn't include any license text file. Given that upstream refers to perl i don't think this is needed.

[PASS] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
They don't seem to be available.
[PASS] SHOULD: The reviewer should test that the package builds in mock.
[PASS] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[PASS] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[PASS] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[PASS] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[PASS] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.  A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[PASS] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[PASS] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


To sum up:
Everything looks fine, except few things that are probably fine but would need some explanation (as this is my first formal review):

[?] MUST: The License field in the package spec file must match the actual license.
The upstream has the following as license:
This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.10.0 or, at your option, any later version of Perl 5 you may have available
I see that perl-5.12 on the node i'm sitting has:
(GPL+ or Artistic) and (GPLv2+ or Artistic) and Copyright Only and MIT and Public Domain and UCD
What you have is:
GPL+ or Artistic which also what the guidelines have:
http://fedoraproject.org/wiki/Packaging:Perl but i don't know if the guidelines are updated or where does the license i have come from.

[?] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
The package doesn't include any license text file. Given that upstream refers to perl i don't think this is needed.

Finally i see that you require perl(Test::More). Is it really needed at run time? i think this should be on buildrequires only.

So a comment from you on the above and we are good to go...

Cheers,
Christos
Comment 5 Steve Traylen 2012-04-27 18:02:51 EDT
(In reply to comment #4)
> To sum up:
 
> [?] MUST: The License field in the package spec file must match the actual
> license.
> The upstream has the following as license:
> This library is free software; you can redistribute it and/or modify it under
> the same terms as Perl itself, either Perl version 5.10.0 or, at your option,
> any later version of Perl 5 you may have available
> I see that perl-5.12 on the node i'm sitting has:
> (GPL+ or Artistic) and (GPLv2+ or Artistic) and Copyright Only and MIT and
> Public Domain and UCD
> What you have is:
> GPL+ or Artistic which also what the guidelines have:
> http://fedoraproject.org/wiki/Packaging:Perl but i don't know if the guidelines
> are updated or where does the license i have come from.

We assume the guidelines are correct and I'm confident they are.
I think significantly "GPL+ or Artistic" is the standard for all
'same license as perl' ones.


> [?] SHOULD: If the source package does not include license text(s) as a
> separate file from upstream, the packager SHOULD query upstream to include it.
> The package doesn't include any license text file. Given that upstream refers
> to perl i don't think this is needed.
> 

The README has the license and this is included.

That paragraph is quite oddly worded.

> Finally i see that you require perl(Test::More). Is it really needed at run
> time? i think this should be on buildrequires only.

Quite correct.

A couple of other changes as well:

- Add requires openssh-clients  
- Add sample files as docs

http://cern.ch/straylen/rpms/perl-Net-OpenSSH/perl-Net-OpenSSH.spec
SRPM URL:
http://cern.ch/straylen/rpms/perl-Net-OpenSSH/perl-Net-OpenSSH-0.57-1.fc16.src.rpm
Comment 7 Christos Triantafyllidis 2012-04-29 12:44:04 EDT
Hi Steve,

   your changes look completely fine. I tested the new release on my dev node and everything works as expected. Thus the package is approved. Proceed with SCM request.

Thanks,
Christos
Comment 8 Steve Traylen 2012-04-30 02:57:56 EDT
New Package SCM Request
=======================
Package Name: perl-Net-OpenSSH
Short Description: Perl SSH client package implemented on top of OpenSSH
Owners: stevetraylen
Branches: f15 f16 el6 el5
InitialCC: perl-sig
Comment 9 Gwyn Ciesla 2012-04-30 08:10:18 EDT
Git done (by process-git-requests).

Added f17 branch.
Comment 10 Fedora Update System 2012-05-10 21:45:04 EDT
xorg-x11-drv-synaptics-1.6.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xorg-x11-drv-synaptics-1.6.1-1.fc17
Comment 11 Peter Hutterer 2012-05-10 22:40:26 EDT
sorry about that, I'm dyslexic today. bug for that was #813686
Comment 12 Fedora Update System 2012-05-11 03:59:41 EDT
perl-Net-OpenSSH-0.57-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Net-OpenSSH-0.57-2.el6
Comment 13 Fedora Update System 2012-05-11 03:59:52 EDT
perl-Net-OpenSSH-0.57-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Net-OpenSSH-0.57-2.fc17
Comment 14 Fedora Update System 2012-05-11 04:00:01 EDT
perl-Net-OpenSSH-0.57-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Net-OpenSSH-0.57-2.el5
Comment 15 Fedora Update System 2012-05-11 04:00:17 EDT
perl-Net-OpenSSH-0.57-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Net-OpenSSH-0.57-2.fc16
Comment 16 Fedora Update System 2012-05-11 17:53:24 EDT
perl-Net-OpenSSH-0.57-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 17 Fedora Update System 2012-05-29 12:23:37 EDT
perl-Net-OpenSSH-0.57-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 18 Fedora Update System 2012-05-29 17:54:28 EDT
perl-Net-OpenSSH-0.57-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 19 Fedora Update System 2012-05-30 21:12:33 EDT
perl-Net-OpenSSH-0.57-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 20 Fedora Update System 2012-05-30 21:13:38 EDT
perl-Net-OpenSSH-0.57-2.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 21 Steve Traylen 2014-09-24 04:54:44 EDT
Package Change Request
======================
Package Name: perl-Net-OpenSSH
New Branches: epel7
Owners: stevetraylen
Comment 22 Gwyn Ciesla 2014-09-24 06:05:38 EDT
Git done (by process-git-requests).
Comment 23 Fedora Update System 2014-09-24 06:32:20 EDT
perl-Net-OpenSSH-0.62-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Net-OpenSSH-0.62-1.el7
Comment 24 Fedora Update System 2014-10-09 15:57:46 EDT
perl-Net-OpenSSH-0.62-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.